## abntex 0.8.1

=== Makefile ===
#$Header: /home/cvsroot/abntex/Makefile,v 1.30 2003/10/17 14:21:09 gweber Exp $
#$Log: Makefile,v $
#Revision 1.30  2003/10/17 14:21:09  gweber
#Mais uma pequenca correo para gerar abntex.spec
#
#Revision 1.29  2003/10/17 13:45:18  gweber
#abntex.spec  criado a partir de admin/abntex.spec substituindo
#as variveis para version/release.
#
#Revision 1.28  2003/07/01 10:18:48  gweber
#Correo no conectiva-rpm
#
#Revision 1.27  2003/07/01 09:16:58  gweber
#Adicionado check-rpm-install
#
#Revision 1.26  2003/04/24 23:26:15  gweber
#adicionadas listas de excluso para gerao do pacote contrib
#
#Revision 1.25  2003/04/10 11:31:27  gweber
#Criao de pacotes abntex-contrib
#
#Revision 1.24  2003/03/31 21:10:50  gweber
#consertado um } que faltou
#
#Revision 1.23  2003/03/31 18:34:47  gweber
#css so copiadas em vez de linkadas
#
#

#altere a linha abaixo se o seu tetex no puder se detetado
#pelo comando kpsewich, na dvida faa um "make test"
#TEXDIR= /tmp/test
TEXDIR= ${shell kpsewhich --expand-path='$$TEXMFMAIN'}

USRLOCAL=/usr/local/bin

#Do "man lyx":
#The system directory is determined by  searching  for  the
#       file  "chkconfig.ltx".
LYXDIR=${dir ${shell  find /usr/share/lyx -name chkconfig.ltx}}

#diretrio corrente onde se expandiu o cvs do abntex
ABNTEXDIR=$(notdir $(shell pwd))

#diretrio onde se encontra a documentao original
SOURCEDOC=$(shell pwd)/texmf/doc

#diretrio para onde vai a documentao compilada
CDOCDIR=$(shell pwd)/compiled.docs

#diretrio para onde esto as contribuies
CONTRIBDIR=$(shell pwd)/contrib

#script para gerar tabela de smbolos
GERATSS=$(shell pwd)/bin/geratss

#diretrio onde se encontram os arquivos da homepage
HPDIR =pagina

#email da pessoa que envia os arquivos pro codigolivre
#edite se precisar
SUBMITTER=$(shell logname)@$(shell hostname)

#opes para comandos comuns:
OPS = --symbolic
OPSF= --symbolic --force
OPVR= --verbose --recursive
OPRF= --recursive --force
OPVF= --verbose --force
#opes comuns para tar
OPTAR= --owner=0 --group=0 -zchv

LATEXDOCDIR=${SOURCEDOC}/latex/abntex
BIBTEXDOCDIR=${SOURCEDOC}/bibtex/abntex

LATEXSDOCS=${wildcard ${LATEXDOCDIR}/abnt*.tex} ${wildcard ${LATEXDOCDIR}/tab*.tex}

LATEXSCSS=${wildcard ${LATEXDOCDIR}/*.css}
BIBTEXSDOCS=${wildcard ${BIBTEXDOCDIR}/*.tex}
BIBTEXSCSS=${wildcard ${BIBTEXDOCDIR}/*.css}

LATEXDOCS=${subst ${LATEXDOCDIR},${CDOCDIR},${LATEXSDOCS}}
LATEXCSS=${subst ${LATEXDOCDIR},${CDOCDIR},${LATEXSCSS}}

BIBTEXDOCS=${subst ${BIBTEXDOCDIR},${CDOCDIR},${BIBTEXSDOCS}}
BIBTEXCSS=${subst ${BIBTEXDOCDIR},${CDOCDIR},${BIBTEXSCSS}}

ALLSDOCS=${BIBTEXSDOCS} ${LATEXSDOCS}
ALLDOCS=${BIBTEXDOCS} ${LATEXDOCS}
ALLCSS=${BIBTEXCSS} ${LATEXCSS}

DVIDOCS=${ALLDOCS:.tex=.dvi}
PDFDOCS=${ALLDOCS:.tex=.pdf}
PSGZDOCS=${ALLDOCS:.tex=.ps.gz}
HTMLDOCS=${ALLDOCS:.tex=.html}

#variveis de ambiente que precisam ser exportados para rodar a
#documentao corretamente
export TEXINPUTS=$(shell pwd)/texmf/tex/latex//:
export BIBINPUTS=$(shell pwd)/texmf/bibtex/bib//:
export BSTINPUTS=$(shell pwd)/texmf/bibtex/bst//:
export INDEXSTYLE=$(shell pwd)/texmf/tex/latex//:

homepage:
	cd ${HPDIR}; latex pagina; bibtex pagina;\
	cp pagina.bbl pagina.bbx; \
	sed "/bibitem/s/{ISO.*\|{NBR.*/[&]&/g" pagina.bbx > pagina.bbl;\
	latex pagina; latex pagina;\
	latex2html pagina

homepage-clean:
	cd ${HPDIR}; rm -rf *.aux *.blg  *.bbl  *.bbx *.dvi *.log *.pl;\
	rm -rf img*.png node*.html pagina.html index.html WARNINGS footnote.html


#aqui nos alteramos a varivel TEX da regra implcita %.dvi:%.tex
#para as particularidades de cada documento
${CDOCDIR}/abnt-bibtex-doc.dvi: TEX=${LBLBLL}
${CDOCDIR}/abnt-bibtex-doc.pdf: TEX=${LBLBLL}
${CDOCDIR}/abnt-bibtex-alf-doc.dvi: TEX=${LBLL}
${CDOCDIR}/abnt-bibtex-alf-doc.pdf: TEX=${LBLL}
${CDOCDIR}/abnt-classe-doc.dvi: TEX=${LLL}
${CDOCDIR}/abnt-classe-doc.pdf: TEX=${LLL}
${CDOCDIR}/tabela-simbolos-doc.dvi: TEX=${LTBLL}
${CDOCDIR}/tabela-simbolos-doc.pdf: TEX=${LTBLL}
${CDOCDIR}/inpi-ex.dvi: TEX=${LLL}

#expande o nome do arquivo
FILE=	$(basename $(notdir $<))

#expande o comando de mudana de diretrio
CDDIR=  cd $(dir $<);

#expande a verso deste pacote
VERSION= $(shell cat abntex_version)
RELEASE= $(shell cat abntex_release)
CONTRIBVERSION= $(shell cat contrib/contrib_version)

#arquivos dos pacotes
ABNTEX=abntex-${VERSION}-${RELEASE}
ABNTEXDOC=${subst abntex,abntex-doc,${ABNTEX}}
ABNTEXLYX=${subst abntex,abntex-lyx,${ABNTEX}}
ABNTEXTGZ=${ABNTEX}.tgz
ABNTEXDOCTGZ=${ABNTEXDOC}.tgz
ABNTEXZIP=${ABNTEX}.zip
ABNTEXDOCZIP=${ABNTEXDOC}.zip
ABNTEXSRCRPM=${ABNTEX}.src.rpm
ABNTEXRPM=${ABNTEX}.noarch.rpm
ABNTEXDOCRPM=${ABNTEXDOC}.noarch.rpm
ABNTEXLYXRPM=${ABNTEXLYX}.noarch.rpm

CONTRIB=abntex-contrib-${CONTRIBVERSION}
CONTRIBTGZ=${CONTRIB}.tgz
CONTRIBZIP=${CONTRIB}.zip

#diretrios padro do rpm (Conectiva)
RPMS=/usr/src/rpm/RPMS/noarch
SRPMS=/usr/src/rpm/SRPMS
SOURCES=/usr/src/rpm/SOURCES

#diretrio para gerao de pacotes
PACKDIR=abntex-${VERSION}

#diretrio para gerao de pacotes contribuidos
CONTPACKDIR=abntex-contrib-${CONTRIBVERSION}


LATEX=latex

#roda latex e bibtex de modo a resolver todas as referncias
LBLBLL= cd ${CDOCDIR}; ${LATEX} ${FILE};\
	bibtex ${FILE}; ${LATEX} ${FILE}; \
	bibtex ${FILE}; ${LATEX} ${FILE}; latex ${FILE}

#documento com bibliografia simples
LBLL= cd ${CDOCDIR}; ${LATEX} ${FILE};\
	bibtex ${FILE}; ${LATEX} ${FILE}; ${LATEX} ${FILE}

#documento com bibliografia e lista de tabelas
LTBLL= cd ${CDOCDIR}; ${LATEX} ${FILE};\
	${GERATSS} ${FILE}; bibtex ${FILE};\
	${LATEX} ${FILE}; ${GERATSS} ${FILE}; ${LATEX} ${FILE}

#documento simples
LLL= cd ${CDOCDIR}; ${LATEX} ${FILE}; ${LATEX} ${FILE}; ${LATEX} ${FILE}

${CDOCDIR}:
	mkdir ${CDOCDIR}

${BIBTEXDOCS} ${BIBTEXCSS}: ${CDOCDIR}
	cp ${OPF} ${BIBTEXDOCDIR}/$(notdir $@) $@

${LATEXDOCS} ${LATEXCSS}: ${CDOCDIR}
	ln ${OPSF} ${LATEXDOCDIR}/$(notdir $@) $@

#dependncia entre dvi<->ps
%.ps: %.dvi
	cd ${CDOCDIR}; \
	dvips -t a4 -o ${FILE}.ps ${FILE}

#compresso do arquivo ps
%.ps.gz: %.ps
	cd ${CDOCDIR}; gzip --force $<

#dependncia entre pdf<->tex
%.pdf: %.tex
	$(subst latex,pdflatex,${TEX})$

HTMLOPT= -split 0 -noinfo -noaddress -html_version 4.0 -no_navigation

%.html: %.dvi
	${CDDIR} latex2html ${HTMLOPT} ${FILE}; \
	ln ${OPSF} ${FILE}/index.html ${FILE}.html

#doc-clean remove arquivos intermedirios desnecessrios (exceto *.dvi)
#em compiled.docs
doc-clean: ${CDOCDIR}
	cd ${CDOCDIR};\
	rm ${OPVF} *.log *.blg *.bbl *.aux *.toc *.idx *.los *.lot *.out *.ilg\
	*.sigla* *.symbols*

#com clean somente os arquivos fonte sobram
clean:
	rm ${OPRF} ${CDOCDIR}

doc-remove-links:
	cd ${CDOCDIR};\
	rm ${OPVF} *.tex *.css


all:
	make doc

doc:
	make doc-clean
	make doc-dvi
	make doc-ps
	make doc-html
	make doc-clean
	make doc-pdf
	make doc-clean
	make doc-remove-links

#cria links dos fontes da documentao para a criao de
#documentao compilada no diretrio CDOCDIR
doc-links: ${ALLDOCS} ${ALLCSS}

doc-dvi: ${DVIDOCS}

doc-pdf: ${PDFDOCS}

doc-ps:	 ${PSGZDOCS}

doc-html: ${HTMLDOCS}

#O empacotamento para Linux

PACKLIST= ${PACKDIR}/Makefile \
	  ${PACKDIR}/abntex_version ${PACKDIR}/abntex_release \
	  ${PACKDIR}/*.lst \
	  ${PACKDIR}/LEIAME ${PACKDIR}/LEIAME.make ${PACKDIR}/LEIAME.linux \
	  ${PACKDIR}/LEIAME.administracao \
	  ${PACKDIR}/texmf ${PACKDIR}/bin ${PACKDIR}/lyx

DOCLIST = ${PACKDIR}/$(notdir ${CDOCDIR})

#principal pacote que contm os programas fontes do abnTeX
linux-tgz:
	cd ..; \
	ln ${OPSF} ${ABNTEXDIR} ${PACKDIR}; \
	rm ${OPVR} ${ABNTEXTGZ};\
	tar ${OPTAR}  --exclude-from ${ABNTEXDIR}/exc.lst -f ${ABNTEXTGZ} ${PACKLIST};\
	rm ${PACKDIR}

contrib-tgz:
	cd ..; \
	ln ${OPSF} ${CONTRIBDIR} ${CONTPACKDIR};\
	rm ${OPRF} ${CONTRIBTGZ};\
	tar ${OPTAR}  --exclude-from ${CONTPACKDIR}/exc.lst -f ${CONTRIBTGZ} ${CONTPACKDIR};\
	rm ${CONTPACKDIR}

#pacote opcional com a documentao precompilada em dvi, pdf, ps e html
linux-doc-tgz:
	make doc
	cd ..; \
	ln ${OPSF} ${ABNTEXDIR} ${PACKDIR}; \
	rm ${OPVR} ${ABNTEXDOCTGZ};\
	tar ${OPTAR} -f ${ABNTEXDOCTGZ} ${DOCLIST};\
	rm ${PACKDIR}

#install e uninstall especfico para tetex localizado em ${TEXDIR}
install:
	cp ${OPVR} --preserve texmf/* ${TEXDIR}
	cp ${OPVR} --preserve lyx/* ${LYXDIR}
	cp ${OPVR} --preserve bin/* ${USRLOCAL}
	texhash

#instalao mnima a partir de um diretrio cvs/abntex til para testes
#no inclui documentao
install-from-cvs:
	cp ${OPVR} --parents texmf/bibtex/*/abntex/*.b* $(TEXDIR)/..
	cp ${OPVR} --parents texmf/tex/latex/abntex/*.cls $(TEXDIR)/..
	cp ${OPVR} --parents texmf/tex/latex/abntex/*.sty $(TEXDIR)/..
	texhash

uninstall:
	rm ${OPRF} ${TEXDIR}/doc/latex/abntex;\
	rm ${OPRF} ${TEXDIR}/doc/bibtex/abntex
	rm ${OPRF} ${TEXDIR}/bibtex/bst/abntex;\
	rm ${OPRF} ${TEXDIR}/bibtex/bib/abntex;\
	rm ${OPRF} ${TEXDIR}/tex/latex/abntex;\
	rm ${OPRF} ${LYXDIR}abnt.layout;\
	rm ${OPRF} ${USRLOCAL}/geratss
	texhash

#verifica se todos os pacotes necessrios existem no seu sistema
check-rpm-install:
	rpm -q cvs
	rpm -q rpm-build
	rpm -q latex2html perl perl-modules
	rpm -q lyx

#para montar pacotes tipo rpm ser melhor voc ser root.
conectiva-rpm:
	if test "$(shell whoami)" == "root" ; then \
	cp ../${ABNTEXTGZ} ${SOURCES};\
	sed "s/ABNTEXVERSION/${VERSION}/;s/ABNTEXRELEASE/${RELEASE}/" admin/abntex.spec > abntex.spec;\
	rpmbuild -ba --target=noarch --clean abntex.spec;\
	else\
	echo "you should be root to do this";\
	fi

windows-zip:
	cd ../; \
	rm ${OPVF} ${ABNTEXZIP};\
	ln ${OPSF} ${ABNTEXDIR} ${PACKDIR}; \
	zip -r ${ABNTEXZIP} ${PACKDIR} -x@${ABNTEXDIR}/zipexcl.lst;\
	rm ${PACKDIR}

windows-doc-zip:
	make doc
	cd ../; \
	rm ${OPVF} ${ABNTEXDOCZIP};\
	ln ${OPSF} ${ABNTEXDIR} ${PACKDIR}; \
	zip -r ${ABNTEXDOCZIP} ${PACKDIR}/compiled.docs;\
	rm ${PACKDIR}

contrib-zip:
	cd ..; \
	ln ${OPSF} ${CONTRIBDIR} ${CONTPACKDIR};\
	rm ${OPRF} ${CONTRIBZIP};\
	zip -r ${CONTRIBZIP} ${CONTPACKDIR} -x@${CONTPACKDIR}/zipexcl.lst;\
	rm ${CONTPACKDIR}

new-release:
	make clean
	make doc
	make linux-tgz
	make linux-doc-tgz
	make windows-zip
	make windows-doc-zip
	make conectiva-rpm

new-contrib:
	make contrib-tgz
	make contrib-zip

upload:
	echo "open upload.codigolivre.org.br" > upload.ftp;\
	echo "user anonymous ${SUBMITTER}" >> upload.ftp;\
	echo "cd incoming" >> upload.ftp;\
	echo "passive" >> upload.ftp;\
	echo "put ../${ABNTEXTGZ} ${ABNTEXTGZ}" >> upload.ftp;\
	echo "put ../${ABNTEXDOCTGZ} ${ABNTEXDOCTGZ}" >> upload.ftp;\
	echo "put ../${ABNTEXZIP} ${ABNTEXZIP}" >> upload.ftp;\
	echo "put ../${ABNTEXDOCZIP} ${ABNTEXDOCZIP}" >> upload.ftp;\
	echo "put ${SRPMS}/${ABNTEXSRCRPM} ${ABNTEXSRCRPM}" >> upload.ftp;\
	echo "put ${RPMS}/${ABNTEXRPM} ${ABNTEXRPM}" >> upload.ftp;\
	echo "put ${RPMS}/${ABNTEXDOCRPM} ${ABNTEXDOCRPM}" >> upload.ftp;\
	echo "put ${RPMS}/${ABNTEXLYXRPM} ${ABNTEXLYXRPM}" >> upload.ftp;\
	echo "quit" >> upload.ftp
	ftp -v -n < upload.ftp
	rm upload.ftp

upload-contrib:
	echo "open upload.codigolivre.org.br" > upload.ftp;\
	echo "user anonymous ${SUBMITTER}" >> upload.ftp;\
	echo "cd incoming" >> upload.ftp;\
	echo "passive" >> upload.ftp;\
	echo "put ../${CONTRIBTGZ} ${CONTRIBTGZ}" >> upload.ftp;\
	echo "put ../${CONTRIBZIP} ${CONTRIBZIP}" >> upload.ftp;\
	echo "quit" >> upload.ftp
	ftp -v -n < upload.ftp
	rm upload.ftp


test:
	echo "diretrio corrente:" ${ABNTEXDIR}
	echo "caminho para o tetex:" ${TEXDIR}
	echo "caminho para o LyX:" ${LYXDIR}
	echo "${LATEXDOCS}"

## abntex 0.8.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,8 @@
-#$Header: /home/cvsroot/abntex/Makefile,v 1.30 2003/10/17 14:21:09 gweber Exp $
+#$Header: /home/cvsroot/abntex/Makefile,v 1.30.2.1 2004/11/02 16:18:13 gweber Exp $
 #$Log: Makefile,v $
+#Revision 1.30.2.1  2004/11/02 16:18:13  gweber
+#addicionado --dereference em install: para corrigir bug 212
+#
 #Revision 1.30  2003/10/17 14:21:09  gweber
 #Mais uma pequenca correo para gerar abntex.spec
 #
@@ -158,6 +161,11 @@
 SRPMS=/usr/src/rpm/SRPMS
 SOURCES=/usr/src/rpm/SOURCES
 
+#diretrios padro do rpm (SuSE)
+RPMS=/usr/src/packages/RPMS/noarch
+SRPMS=/usr/src/packages/SRPMS
+SOURCES=/usr/src/packages/SOURCES
+
 #diretrio para gerao de pacotes
 PACKDIR=abntex-${VERSION}
 
@@ -290,9 +298,9 @@
 
 #install e uninstall especfico para tetex localizado em ${TEXDIR}
 install:
-	cp ${OPVR} --preserve texmf/* ${TEXDIR}
-	cp ${OPVR} --preserve lyx/* ${LYXDIR}
-	cp ${OPVR} --preserve bin/* ${USRLOCAL}
+	cp ${OPVR} --dereference --preserve texmf/* ${TEXDIR}
+	cp ${OPVR} --dereference --preserve lyx/* ${LYXDIR}
+	cp ${OPVR} --dereference --preserve bin/* ${USRLOCAL}
 	texhash
 
 #instalao mnima a partir de um diretrio cvs/abntex til para testes

## abntex 0.9~beta2

=== Makefile ===
#$Header: /home/cvsroot/abntex/Makefile,v 1.36 2006/09/10 00:25:16 gweber Exp $
#
#expande a versão deste pacote
export VERSION=0.9
export RELEASE=beta2

#altere a linha abaixo se o seu tetex não puder se detetado
#pelo comando kpsewich, na dúvida faça um "make test"
#TEXDIR= /tmp/test
export TEXDIR= ${shell kpsewhich --expand-path='$$TEXMFMAIN'}

export USRLOCAL=/usr/local/bin

#Do "man lyx":
#The system directory is determined by  searching  for  the
#       file  "chkconfig.ltx".
export LYXDIR=${dir ${shell  find /usr/share/lyx -name chkconfig.ltx}}

#diretório corrente onde se expandiu o cvs do abntex
export ABNTEXDIR=$(notdir $(shell pwd))

#diretório para onde vai a documentação compilada
export CDOCDIR=$(shell pwd)/compiled.docs

#diretório para onde estão as contribuições
export CONTRIBDIR=$(shell pwd)/contrib

#diretório onde se encontram os arquivos da homepage
export HPDIR =pagina

#email da pessoa que envia os arquivos pro codigolivre
#edite se precisar
export SUBMITTER=$(shell logname)@$(shell hostname)

#opções para comandos comuns:
export OPS = --symbolic
export OPSF= --symbolic --force
export OPVR= --verbose --recursive
export OPRF= --recursive --force
export OPVF= --verbose --force
#opções comuns para tar
export OPTAR= --owner=0 --group=0 -zchv

homepage-%:
	${MAKE} -C ${HPDIR} $*

contrib-%:
	${MAKE} -C ${CONTRIBDIR} -f ../admin/contrib.mk $*

doc-%:
	${MAKE} -C admin -f documentation.mk $*

#expande o nome do arquivo
export FILE=	$(basename $(notdir $<))

#expande o comando de mudança de diretório
export CDDIR=  cd $(dir $<);

#arquivos dos pacotes
export ABNTEX=abntex-${VERSION}-${RELEASE}
export ABNTEXDOC=${subst abntex,abntex-doc,${ABNTEX}}
export ABNTEXLYX=${subst abntex,abntex-lyx,${ABNTEX}}
export ABNTEXTGZ=${ABNTEX}.tar.gz
export ABNTEXSRCRPM=${ABNTEX}.src.rpm
export ABNTEXRPM=${ABNTEX}.noarch.rpm
export ABNTEXZIP=${ABNTEX}.zip
export ABNTEXDOCTGZ=${ABNTEXDOC}.tar.gz
export ABNTEXDOCRPM=${ABNTEXDOC}.noarch.rpm
export ABNTEXDOCZIP=${ABNTEXDOC}.zip
export ABNTEXLYXRPM=${ABNTEXLYX}.noarch.rpm


#diretórios padrão do rpm (Conectiva)
export RPMS=/usr/src/rpm/RPMS/noarch
export SRPMS=/usr/src/rpm/SRPMS
export SOURCES=/usr/src/rpm/SOURCES
export BUILD=/usr/src/rpm/BUILD

#diretórios padrão do rpm (SuSE)
export RPMS=/usr/src/packages/RPMS/noarch
export SRPMS=/usr/src/packages/SRPMS
export SOURCES=/usr/src/packages/SOURCES
export BUILD=/usr/src/packages/BUILD
export TEMPDIR=/tmp

#diretório para geração de pacotes
export PACKDIR=abntex-${VERSION}

all: doc

doc: doc-all

#O empacotamento para Linux

export PACKLIST= ${PACKDIR}/Makefile ${PACKDIR}/abntex.spec\
	  ${PACKDIR}/*.lst \
	  ${PACKDIR}/LEIAME ${PACKDIR}/LEIAME.make ${PACKDIR}/LEIAME.linux \
	  ${PACKDIR}/LEIAME.administracao \
	  ${PACKDIR}/texmf ${PACKDIR}/bin ${PACKDIR}/lyx ${PACKDIR}/admin

export DOCLIST = ${PACKDIR}/$(notdir ${CDOCDIR})

#principal pacote que contém os programas fontes do abnTeX
linux-tgz:
	sed "s/ABNTEXVERSION/${VERSION}/;s/ABNTEXRELEASE/${RELEASE}/" admin/abntex.spec > abntex.spec;\
	cd ..; \
	ln ${OPSF} ${ABNTEXDIR} ${PACKDIR}; \
	rm ${OPVR} ${ABNTEXTGZ};\
	tar ${OPTAR}  --exclude-from ${ABNTEXDIR}/exc.lst -f ${ABNTEXTGZ} ${PACKLIST};\
	rm ${PACKDIR}

#pacote opcional com a documentação precompilada em dvi, pdf, ps
linux-doc-tgz: doc
	cd ..; \
	ln ${OPSF} ${ABNTEXDIR} ${PACKDIR}; \
	rm ${OPVR} ${ABNTEXDOCTGZ};\
	tar ${OPTAR} -f ${ABNTEXDOCTGZ} ${DOCLIST};\
	rm ${PACKDIR}

#install e uninstall específico para tetex localizado em ${TEXDIR}
install-tex:
	cp ${OPVR} --preserve texmf/* ${TEXDIR}

install-lyx:
ifneq (${LYXDIR},)
	cp ${OPVR} --preserve lyx/* ${LYXDIR}
endif

install-bin:
	cp ${OPVR} --preserve bin/* ${USRLOCAL}

post-install:
	texhash

install: install-tex install-bin install-lyx

#instalação mínima a partir de um diretório cvs/abntex útil para testes
#não inclui documentação
install-from-cvs:
	cp ${OPVR} --parents texmf/bibtex/*/abntex/*.b* $(TEXDIR)/..
	cp ${OPVR} --parents texmf/tex/latex/abntex/*.cls $(TEXDIR)/..
	cp ${OPVR} --parents texmf/tex/latex/abntex/*.sty $(TEXDIR)/..
	texhash

uninstall-tex:
	rm ${OPRF} ${TEXDIR}/doc/latex/abntex;\
	rm ${OPRF} ${TEXDIR}/doc/bibtex/abntex
	rm ${OPRF} ${TEXDIR}/bibtex/bst/abntex;\
	rm ${OPRF} ${TEXDIR}/bibtex/bib/abntex;\
	rm ${OPRF} ${TEXDIR}/tex/latex/abntex;\

uninstall-lyx:
ifneq (${LYXDIR},)
	rm ${OPRF} ${LYXDIR}abnt.layout;
endif

uninstall-bin:
	rm ${OPRF} ${USRLOCAL}/geratss

uninstall: uninstall-tex uninstall-lyx uninstall-bin
	texhash

#verifica se todos os pacotes necessários existem no seu sistema
check-rpm-install:
	rpm -q cvs
	rpm -q rpm-build
	rpm -q lyx

#para montar pacotes tipo rpm será melhor você ser root.
noarch-rpm:
	if test "$(shell whoami)" == "root" ; then \
        cp --backup=numbered ../${ABNTEXTGZ} ${SOURCES}; \
	rpmbuild -ta --target=noarch --clean ${SOURCES}/${ABNTEXTGZ};\
	else\
	echo "you should be root to do this";\
	fi

windows-zip:
	cd ../; \
	rm ${OPVF} ${ABNTEXZIP};\
	ln ${OPSF} ${ABNTEXDIR} ${PACKDIR}; \
	zip -r ${ABNTEXZIP} ${PACKDIR} -x@${ABNTEXDIR}/zipexcl.lst;\
	rm ${PACKDIR}

windows-doc-zip: doc
	cd ../; \
	rm ${OPVF} ${ABNTEXDOCZIP};\
	ln ${OPSF} ${ABNTEXDIR} ${PACKDIR}; \
	zip -r ${ABNTEXDOCZIP} ${PACKDIR}/compiled.docs;\
	rm ${PACKDIR}

new-release: doc linux-tgz linux-doc-tgz windows-zip windows-doc-zip noarch-rpm

new-contrib: contrib-tgz contrib-zip

upload:
	echo "open upload.codigolivre.org.br" > upload.ftp;\
	echo "user anonymous ${SUBMITTER}" >> upload.ftp;\
	echo "cd incoming" >> upload.ftp;\
	echo "passive" >> upload.ftp;\
	echo "put ../${ABNTEXTGZ} ${ABNTEXTGZ}" >> upload.ftp;\
	echo "put ../${ABNTEXDOCTGZ} ${ABNTEXDOCTGZ}" >> upload.ftp;\
	echo "put ../${ABNTEXZIP} ${ABNTEXZIP}" >> upload.ftp;\
	echo "put ../${ABNTEXDOCZIP} ${ABNTEXDOCZIP}" >> upload.ftp;\
	echo "put ${SRPMS}/${ABNTEXSRCRPM} ${ABNTEXSRCRPM}" >> upload.ftp;\
	echo "put ${RPMS}/${ABNTEXRPM} ${ABNTEXRPM}" >> upload.ftp;\
	echo "put ${RPMS}/${ABNTEXDOCRPM} ${ABNTEXDOCRPM}" >> upload.ftp;\
	echo "put ${RPMS}/${ABNTEXLYXRPM} ${ABNTEXLYXRPM}" >> upload.ftp;\
	echo "quit" >> upload.ftp
	ftp -v -n < upload.ftp
	rm upload.ftp

test:
	echo "diretório corrente:" ${ABNTEXDIR}
	echo "caminho para o tetex:" ${TEXDIR}
	echo "caminho para o LyX:" ${LYXDIR}
	echo "${LATEXDOCS}"

=== debian/changelog ===
abntex (0.9~beta2-6) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see: #847247)
  * Run wrap-and-sort.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added Homepage field.
      - Added 'Rules-Requires-Root: binary-targets' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Changed Vcs-* to use Salsa.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all data.
  * debian/rules: migrated to new (reduced) format.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/watch:
      - Bumped version to 4.
      - Updated search rules to use SF.net.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 26 Feb 2020 17:09:31 -0300

abntex (0.9~beta2-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop debian/postinst, call dh_installtex in debian/rules,
    and build depend on tex-common This causes the package to
    no longer install files to /usr/local (Closes: #669379).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 24 Jun 2012 18:08:20 -0400

abntex (0.9~beta2-5) unstable; urgency=low

  * Depends on texlive-fonts-recommended. Closes: #623412

 -- Otavio Salvador <otavio@ossystems.com.br>  Sun, 12 Jun 2011 01:51:24 -0300

abntex (0.9~beta2-4) unstable; urgency=low

  * Add Vcs-{Git,Browser} fields in debian/control
  * Add texlive-lang-portuguese as dependency

 -- Otavio Salvador <otavio@ossystems.com.br>  Mon, 14 Mar 2011 16:26:25 -0300

abntex (0.9~beta2-3) unstable; urgency=low

  * Drop tetex-extra build-depends. Closes: #562311
  * Move to Dpkg 3.0 (quilt) format
  * Bump Standard-Version to 3.8.3
  * Cleanup depends field adding ${misc:Depends} and removing tetex-
    extra
  * Drop empty debian/prerm file
  * Do not use full path when calling mktexlsr

 -- Otavio Salvador <otavio@ossystems.com.br>  Thu, 07 Jan 2010 12:53:02 -0200

abntex (0.9~beta2-2.1) unstable; urgency=low

  * Non Maintainer Upload
  * Fix Build-Depends-Indep on texlive packages (closes: #442313)

 -- Don Armstrong <don@debian.org>  Sat, 08 Mar 2008 02:33:11 -0800

abntex (0.9~beta2-2) unstable; urgency=low

  * Move back to main since it doesn't depends of latex2html for building.

 -- Otavio Salvador <otavio@debian.org>  Wed, 22 Nov 2006 11:29:08 -0200

abntex (0.9~beta2-1) unstable; urgency=low

  * Removed latex2html from Depends and Build-Depends.
  * Include full LPPL license on debian/copyright.
  * Add support to build using texlive. Closes: #380291.

 -- Otavio Salvador <otavio@debian.org>  Wed, 22 Nov 2006 11:22:38 -0200

abntex (0.8.99+0.9beta-1) unstable; urgency=low

  * New upstream release (closes: #339060)
    - Add dependency to latex2html
    - Move to contrib due latex2html non-freeness
  * Update packaging, now conforming to policy version 3.7.2
  * Change debhelper compatibility level to 5

 -- Otavio Salvador <otavio@debian.org>  Mon, 15 May 2006 12:26:11 -0300

abntex (0.8.2-2) unstable; urgency=low

  * Update debian/watch file to handle the way we currently use the
    version number and also update its format to version 3

 -- Otavio Salvador <otavio@debian.org>  Wed, 24 Aug 2005 17:19:06 -0300

abntex (0.8.2-1) unstable; urgency=low

  * New upstream release
  * Update packaging, now conforming to policy version 3.6.2.

 -- Otavio Salvador <otavio@debian.org>  Sat,  2 Jul 2005 20:51:48 -0300

abntex (0.8.1-1) unstable; urgency=low

  * New upstream release

 -- Otavio Salvador <otavio@debian.org>  Mon, 19 Apr 2004 17:36:18 -0300

abntex (0.7.3-4) unstable; urgency=high

  * Applied upstream patch to remove latex2html dependencie
    (closes: #229152).
  * Increased the urgency to /high/ since this version of package was
    already included in testing by long time without any problems.

 -- Otavio Salvador <otavio@debian.org>  Tue, 23 Mar 2004 16:31:43 -0300

abntex (0.7.3-3) unstable; urgency=low

  * debian/rules:
    - fix copyright information;
    - removed the compatibility level configuration;
    - general cleanup.
  * debian/compat: added.
  * debian/control: removed the build-depends of "latex2html"
    (closes: #221315).

 -- Otavio Salvador <otavio@debian.org>  Tue, 18 Nov 2003 14:11:32 -0200

abntex (0.7.3-2) unstable; urgency=low

  * debian/rules: fix wrong move of files (closes: #220601).

 -- Otavio Salvador <otavio@debian.org>  Thu, 13 Nov 2003 13:45:11 -0200

abntex (0.7.3-1) unstable; urgency=low

  * New upstream release
    [Note: this version includes only bugfixes]

 -- Otavio Salvador <otavio@debian.org>  Fri, 17 Oct 2003 13:41:38 -0300

abntex (0.7.2-1) unstable; urgency=low

  * New upstream release
  * Update packaging, now conforming to policy version 3.6.1.

 -- Otavio Salvador <otavio@debian.org>  Thu, 25 Sep 2003 23:51:27 -0300

abntex (0.7-1) unstable; urgency=low

  * New upstream release
  * Update packaging, now conforming to policy version 3.5.10;

 -- Otavio Salvador <otavio@debian.org>  Mon,  9 Jun 2003 13:15:01 -0300

abntex (0.6.3-3) unstable; urgency=low

  * Update packaging, now conforming to policy version 3.5.9;
  * debian/control: Added build-dependence of latex2html
    (closes: #187038).

 -- Otavio Salvador <otavio@debian.org>  Mon, 31 Mar 2003 16:57:23 -0300

abntex (0.6.3-2) unstable; urgency=low

  * debian/control: Updated the Build-Depends-Indep field to depends of
    debhelper >= 4

 -- Otavio Salvador <otavio@debian.org>  Thu, 19 Dec 2002 14:39:32 -0200

abntex (0.6.3-1) unstable; urgency=low

  * New upstream release.
    [Note: this version is a bugfix and package change version, doesn't
    include any new feature]

 -- Otavio Salvador <otavio@debian.org>  Fri,  6 Dec 2002 22:35:17 -0200

abntex (0.6.2-1) unstable; urgency=low

  * New upstream release.
    [Note: the version 0.6 was not uploaded because of one critical bug]



=== debian/control ===
Source: abntex
Section: tex
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends-Indep: tex-common,
                     texlive-fonts-extra,
                     texlive-fonts-recommended,
                     texlive-lang-portuguese,
                     texlive-latex-extra,
                     texlive-latex-recommended
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Rules-Requires-Root: binary-targets
Homepage: https://sourceforge.net/projects/abntex/
Vcs-Browser: https://salsa.debian.org/debian/abntex
Vcs-Git: https://salsa.debian.org/debian/abntex.git

Package: abntex
Architecture: all
Depends: texlive-fonts-recommended,
         texlive-lang-portuguese,
         texlive-latex-recommended,
         ${misc:Depends}
Description: LaTeX class for writing documents in ABNT standard
 AbnTeX is a class for writing documents in ABNT standard. The
 Brazilian Technical Standards Association (ABNT) is responsible for
 the national standardization and certification procedures. The
 package also includes support to BibTeX in the ABNT standard.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	make doc-dvi

override_dh_auto_clean:
	dh_auto_clean
	rm -rf compiled.docs

override_dh_auto_install:
	dh_installdirs
	cp -r texmf debian/abntex/usr/share/
	mv $(CURDIR)/debian/abntex/usr/share/texmf/doc $(CURDIR)/debian/abntex/usr/share/doc/abntex
	mv $(CURDIR)/compiled.docs/*.dvi $(CURDIR)/debian/abntex/usr/share/doc/abntex

override_dh_fixperms:
	dh_fixperms
	chown -R root.root $(CURDIR)/debian/abntex/usr/share/texmf/
	chmod -R a-x+X $(CURDIR)/debian/abntex/usr/share/texmf/

=== debian/watch ===
version=4
opts="uversionmangle=s/-beta/~beta/" \
http://sf.net/abntex/abntex-doc-(.*)\.tar\.gz

## abntex 0.9.beta2

=== debian/changelog ===
abntex (0.9.beta2-2) unstable; urgency=medium

  * QA upload.
  * Rewrite debian/rules to use modern hooks
  * Convert the package to avoid needing (fake)root.

 -- Niels Thykier <niels@thykier.net>  Wed, 05 Jun 2024 14:48:53 +0000

abntex (0.9.beta2-1) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + abntex: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 11:49:45 +0100

abntex (0.9~beta2-7) unstable; urgency=medium

  * QA upload.
  * debian/rules: Export FORCE_SOURCE_DATE=1 in order for texlive to
    respect SOURCE_DATE_EPOCH when generating .dvi file. (Closes: #995646)
  * debian/control: Update to debhelper-compat 13.
  * debian/control: Update to Standards-Version 4.6.0.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sat, 30 Apr 2022 18:53:28 -0700

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                      texlive-lang-portuguese,
                      texlive-latex-extra,
                      texlive-latex-recommended
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
-Rules-Requires-Root: binary-targets
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://sourceforge.net/projects/abntex/
 Vcs-Browser: https://salsa.debian.org/debian/abntex
 Vcs-Git: https://salsa.debian.org/debian/abntex.git
@@ -21,6 +21,7 @@
          texlive-lang-portuguese,
          texlive-latex-recommended,
          ${misc:Depends}
+Multi-Arch: foreign
 Description: LaTeX class for writing documents in ABNT standard
  AbnTeX is a class for writing documents in ABNT standard. The
  Brazilian Technical Standards Association (ABNT) is responsible for

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# Ensure texlive respects SOURCE_DATE_EPOCH
export FORCE_SOURCE_DATE=1

%:
	dh $@

override_dh_auto_build:
	make doc-dvi

execute_after_dh_auto_clean:
	rm -rf compiled.docs

override_dh_auto_install:
	dh_installdirs
	cp -r texmf debian/abntex/usr/share/
	mv $(CURDIR)/debian/abntex/usr/share/texmf/doc $(CURDIR)/debian/abntex/usr/share/doc/abntex
	mv $(CURDIR)/compiled.docs/*.dvi $(CURDIR)/debian/abntex/usr/share/doc/abntex

execute_after_dh_fixperms:
	chmod -R a-x+X $(CURDIR)/debian/abntex/usr/share/texmf/
